import typescript, { ImportSpecifier } from 'typescript';
import { BaseParseResult, Processor } from './processor';
interface ParseResult extends BaseParseResult {
    node: typescript.ImportDeclaration;
    keepImport: boolean;
    nonTypeNamedBindings: ImportSpecifier[];
}
/**
 * Processor for `import module from 'module'`
 */
export declare class ImportProcessor extends Processor {
    parse(node: typescript.Node): {
        node: typescript.ImportDeclaration;
        keepImport: boolean;
        moduleName: string;
        nonTypeNamedBindings: typescript.ImportSpecifier[];
    } | undefined;
    updateModuleName(moduleName: string, { node, keepImport, nonTypeNamedBindings }: ParseResult): typescript.ImportDeclaration | undefined;
}
export {};
